<template>
  <div>
    <n-modal
      v-model:show="showModal"
      style="width: 80%; height: 700px"
      :show-icon="false"
      preset="dialog"
      :title="title"
    >
      <Index :groupSn="groupSn" />
    </n-modal>
  </div>
</template>

<script lang="ts" setup>
  import { ref } from 'vue';
  import Index from './redeemCodeListTable.vue';

  const showModal = ref(false);
  const title = ref('兑换码列表');

  interface Props {
    groupSn?: string;
  }
  withDefaults(defineProps<Props>(), { groupSn: "" });

  function openDrawer() {
    showModal.value = true;
  }
  defineExpose({ openDrawer });
</script>

<style scoped></style>
